RuntimeInvisibleParameterAnnotationsAttribute (Java SE 23 & JDK 23)
Description: declaration: module: java.base, package: java.lang.classfile.attribute, interface: RuntimeInvisibleParameterAnnotationsAttribute
Keywords: java.lang.classfile.attribute.RuntimeInvisibleParameterAnnotationsAttribute interface

# Interface RuntimeInvisibleParameterAnnotationsAttribute

All Superinterfaces:
  `AttributePREVIEW<RuntimeInvisibleParameterAnnotationsAttributePREVIEW>`, `ClassFileElementPREVIEW`, `MethodElementPREVIEW`, `WritableElementPREVIEW<RuntimeInvisibleParameterAnnotationsAttributePREVIEW>`

public sealed interface RuntimeInvisibleParameterAnnotationsAttribute extends AttributePREVIEW<RuntimeInvisibleParameterAnnotationsAttributePREVIEW>, MethodElementPREVIEW
`RuntimeInvisibleParameterAnnotationsAttribute` is a preview API of the Java platform.
Programs can only use `RuntimeInvisibleParameterAnnotationsAttribute` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Models the `RuntimeInvisibleParameterAnnotations` attribute 4.7.19, which can appear on methods. Delivered as a `MethodElement`PREVIEW when traversing a `MethodModel`PREVIEW.

The attribute does not permit multiple instances in a given location. Subsequent occurrence of the attribute takes precedence during the attributed element build or transformation.

The attribute was introduced in the Java SE Platform version 5.0.

Since:
  22

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RuntimeInvisibleParameterAnnotationsAttributePREVIEW`
  `of(List<List<AnnotationPREVIEW>> parameterAnnotations)`
  Returns a `RuntimeInvisibleParameterAnnotations` attribute.
  `List<List<AnnotationPREVIEW>>`
  `parameterAnnotations()`
  Returns the list of annotations corresponding to each method parameter.

  ### Methods declared in interface java.lang.classfile.AttributePREVIEW

  `attributeMapper, attributeName`

  ### Methods declared in interface java.lang.classfile.WritableElementPREVIEW

  `writeTo`

- ## Method Details

  - ### parameterAnnotations

    List<List<AnnotationPREVIEW>> parameterAnnotations()
    Returns the list of annotations corresponding to each method parameter. The element at the i'th index corresponds to the annotations on the i'th parameter.
    Returns:
      the list of annotations corresponding to each method parameter

  - ### of

    static RuntimeInvisibleParameterAnnotationsAttributePREVIEW of(List<List<AnnotationPREVIEW>> parameterAnnotations)
    Returns a `RuntimeInvisibleParameterAnnotations` attribute.
    Parameters:
      `parameterAnnotations` - a list of parameter annotations for each parameter
    Returns:
      a `RuntimeInvisibleParameterAnnotations` attribute